wibble::mixin::Comparable< Self > Struct Template Reference

`#include <mixin.h>`

Inheritance diagram for wibble::mixin::Comparable< Self >:
[legend]

## Public Member Functions

const Self & | cmpSelf () const
bool | operator!= (const Self &o) const
bool | operator== (const Self &o) const
bool | operator< (const Self &o) const
bool | operator> (const Self &o) const
bool | operator>= (const Self &o) const

## Member Function Documentation

## cmpSelf()

template<typename Self >

const Self& wibble::mixin::Comparable< Self >::cmpSelf | ( |  | ) | const

inline

Referenced by wibble::mixin::Comparable< Self >::operator!=(), wibble::mixin::Comparable< Self >::operator<(), wibble::mixin::Comparable< Self >::operator==(), wibble::mixin::Comparable< Self >::operator>(), and wibble::mixin::Comparable< Self >::operator>=().

## operator!=()

template<typename Self >

bool wibble::mixin::Comparable< Self >::operator!= | ( | const Self & | o | ) | const

inline

References wibble::mixin::Comparable< Self >::cmpSelf().

## operator<()

template<typename Self >

bool wibble::mixin::Comparable< Self >::operator< | ( | const Self & | o | ) | const

inline

References wibble::mixin::Comparable< Self >::cmpSelf().

## operator==()

template<typename Self >

bool wibble::mixin::Comparable< Self >::operator== | ( | const Self & | o | ) | const

inline

References wibble::mixin::Comparable< Self >::cmpSelf().

## operator>()

template<typename Self >

bool wibble::mixin::Comparable< Self >::operator> | ( | const Self & | o | ) | const

inline

References wibble::mixin::Comparable< Self >::cmpSelf().

## operator>=()

template<typename Self >

bool wibble::mixin::Comparable< Self >::operator>= | ( | const Self & | o | ) | const

inline

References wibble::mixin::Comparable< Self >::cmpSelf().

The documentation for this struct was generated from the following file:

- mixin.h